import java.io.*;
import java.util.*;
import java.sql.*;

import javax.servlet.*;
import javax.servlet.http.*;

import com.oreilly.servlet.MultipartRequest;
import com.sun.image.codec.jpeg.*;
import java.awt.image.*;

public class ServletShow extends HttpServlet {

public void doGet(HttpServletRequest request, HttpServletResponse response) 
	throws ServletException, IOException {
	
	String sql;
	Connection con = null;
	PreparedStatement pstmt;
	ResultSet rs; 
	
	String url = "jdbc:postgresql://sqlserver.sci.univr.it/dblabXXX";
	String user = "userlabXXX";
	String passwd = "0708xxx??";
	InputStream is;
	JPEGImageDecoder decoder;
	BufferedImage bi;
	ServletOutputStream out;
	JPEGImageEncoder encoder;
	
	/** 
	* Caricamento del driver JDBC per il database
	*/
	try {
		Class.forName("org.postgresql.Driver");
	} catch (ClassNotFoundException cnfe) {
		cnfe.printStackTrace();
	}

	
	try {
		sql =  "SELECT * FROM prova WHERE codice = ?";
		/** 
		* Connessione alla base di dati
		*/           
		con = DriverManager.getConnection(url, user, passwd);     
		pstmt = con.prepareStatement(sql);
		pstmt.clearParameters();
		pstmt.setInt(1, Integer.parseInt(request.getParameter("id")));
		/** 
		* Esecuzione dell'interrogazione
		*/  
		rs=pstmt.executeQuery(); 
		out = response.getOutputStream();
		//PrintWriter out = response.getWriter();
		
		response.setContentType("image/jpeg");
		rs.next();
		is = rs.getBinaryStream("img");
		decoder = JPEGCodec.createJPEGDecoder(is);
		bi = decoder.decodeAsBufferedImage();

		encoder = JPEGCodec.createJPEGEncoder(out);
		encoder.encode(bi);
		con.close();
		
	}catch (Exception e) {
		e.printStackTrace();
	}

}
}


