import java.io.*;
import java.util.*;
import java.sql.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 * ServletQuery. Esempio di Servlet che si connette alla base di dati ed
 * inserisce un'immagine nella base di dati
 * 
 *
 * @author Filippo Manganotto, Barbara Oliboni, Gabriele Pozzani
 * @version 1.0   13/05/2003
 */

public class ServletStore extends HttpServlet {

    public void doGet(HttpServletRequest request,
                      HttpServletResponse response) 
        throws IOException, ServletException {

	Connection con = null;

	String url = "jdbc:postgresql://sqlserver.sci.univr.it/dblabXXX";
	String user = "userlabXXX";
	String passwd = "0708xxx??";

	File f = new File(request.getParameter("image"));
        FileInputStream fis = new FileInputStream(f);
	
	/** 
	 * Caricamento del driver JDBC per il database
	 */
	try {
            Class.forName("org.postgresql.Driver");
	} catch (ClassNotFoundException cnfe) {
            cnfe.printStackTrace();
	  }
	    PrintWriter out = response.getWriter();
	try {
            /** 
             * Connessione alla base di dati
             */           
            con = DriverManager.getConnection(url, user, passwd);           
	    String str = "INSERT INTO prova VALUES (?, ?)";
	    PreparedStatement pst = con.prepareStatement(str);
	    pst.clearParameters();
	    pst.setInt(1, Integer.parseInt(request.getParameter("id")));
	    pst.setBinaryStream(2, (InputStream)fis, (int)f.length());
	    pst.execute(); 
	    con.close();
	    

	    response.setContentType("text/html; charset=ISO-8859-1");
        
	    out.println("<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\"");
	    out.println("      \"http://www.w3.org/TR/REC-html40/loose.dtd\">");


	    out.println("<html>");
	    out.println("<head>");
	    out.println("<title>Caricamento immagine</title>");
	    out.println("</head>");
	    out.println("<body>");
	    out.println("Immagine <i>");
	    out.println(request.getParameter("image"));
	    out.println("</i> inserita");
	    out.println("</body>");
	    out.println("</html>");
	} catch(Exception e) {
	    out.println(e);
	}
    }
}
